<?
	/** Funkcje budujące link do strony do samej siebie. Przeznaczone dla zastosowań asystenta.
	 *
	 * Wynik umieszczany w sesji - zmienna Atreelink. Używane są te funkcje min.: by działało lewe menu.
	 * @author Lukasz Chmielewski
	 * @package XPAsystent
	 */

	 /** */
	if ( defined( '_A_CHECK_FUN' ) ) return;
	define( '_A_CHECK_FUN', 1 );

	/** Funkcja budująca treelink dla strony Asys_cykle.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function zrob_treelink_cykle ($p1,$p2,$p3,$p4,$p5,$p6) {
		global $sess;

		$superlink = new CLink ($p1, $p2);
		if ($p4 != "")
			$superlink->addFirstParam($p3, $p4);
		if ($p6 != "")
			$superlink->addParam($p5, $p6);
		$sess->set("Atreelink", $superlink);
	}

	/** Funkcja budująca treelink dla strony Asys_grup.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function zrob_treelink_grupy ($p1,$p2,$p3,$p4,$p5,$p6) {
		global $sess;

		$superlink = new CLink ($p1, $p2);
		if ($p4 != "")
			$superlink->addFirstParam($p3, $p4);
		if ($p6 != "")
			$superlink->addParam($p5, $p6);
		$sess->set("Atreelink", $superlink);
	}

	/** Funkcja budująca treelink dla strony Asys_sklad.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function zrob_treelink_sklad ($p1,$p2,$p3,$p4,$p5,$p6,$p7,$p8,$p9,$p10,$p11,$p12,$p13,$p14,$p15,$p16,$p17,$p18) {
		global $sess;

		$superlink = new CLink ($p1, $p2);
		if ($p4 != "")
			$superlink->addFirstParam($p3, $p4);
		if ($p6 != "")
			$superlink->addParam($p5, $p6);
		if ($p8 != "")
			$superlink->addParam($p7, $p8);
		if ($p10 != "")
			$superlink->addParam($p9, $p10);
		if ($p12 != "")
			$superlink->addParam($p11, $p12);
		if ($p14 != "")
			$superlink->addParam($p13, $p14);
		if ($p16 != "")
			$superlink->addParam($p15, $p16);
		if ($p18 != "")
			$superlink->addParam($p17, $p18);
		$sess->set("Atreelink", $superlink);
	}


	/** Funkcja budująca treelink dla strony Asys_zadanie.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function zrob_treelink_zadanie ($p1,$p2,$p3,$p4,$p5,$p6,$p7,$p8,$p9,$p10,$p11,$p12,$p13,$p14,$p15,$p16/*,$p17,$p18*/) {
		global $sess;

		$superlink = new CLink ($p1, $p2);
		if ($p4 != "")
			$superlink->addFirstParam($p3, $p4);
		if ($p6 != "")
			$superlink->addParam($p5, $p6);
		if ($p8 != "")
			$superlink->addParam($p7, $p8);
		if ($p10 != "")
			$superlink->addParam($p9, $p10);
		if ($p12 != "")
			$superlink->addParam($p11, $p12);
		if ($p14 != "")
			$superlink->addParam($p13, $p14);
		if ($p16 != "")
			$superlink->addParam($p15, $p16);
		//if ($p18 != "")
		//	$superlink->addParam($p17, $p18);
		$sess->set("Atreelink", $superlink);
	}

	/** Funkcja budująca treelink dla strony Asys_osoba.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function zrob_treelink_osoba ($p1,$p2,$p3,$p4,$p5,$p6,$p7,$p8,$p9,$p10,$p11,$p12,$p13,$p14,$p15,$p16,$p17,$p18) {
		global $sess;

		$superlink = new CLink ($p1, $p2);
		if ($p4 != "")
			$superlink->addFirstParam($p3, $p4);
		if ($p6 != "")
			$superlink->addParam($p5, $p6);
		if ($p8 != "")
			$superlink->addParam($p7, $p8);
		if ($p10 != "")
			$superlink->addParam($p9, $p10);
		if ($p12 != "")
			$superlink->addParam($p11, $p12);
		if ($p14 != "")
			$superlink->addParam($p13, $p14);
		if ($p16 != "")
			$superlink->addParam($p15, $p16);
		if ($p18 != "")
			$superlink->addParam($p17, $p18);
		$sess->set("Atreelink", $superlink);
	}

	/** Funkcja budująca treelink dla strony Asys_mod.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function zrob_treelink_mod ($p1,$p2,$p3,$p4,$p5,$p6,$p7,$p8,$p9,$p10,$p11,$p12,$p13,$p14,$p15,$p16,$p17,$p18,$p19,$p20,
	$p21,$p22,$p23,$p24,$p25,$p26,$p27,$p28,$p29,$p30,$p31,$p32,$p33,$p34,$p35,$p36,$p37,$p38,$p39,$p40,$p41,$p42) {
		global $sess;

		$superlink = new CLink ($p1, $p2);
		if ($p4 != "") $superlink->addFirstParam($p3, $p4);
		if ($p6 != "") $superlink->addParam($p5, $p6);
		if ($p8 != "") $superlink->addParam($p7, $p8);
		if ($p10 != "") $superlink->addParam($p9, $p10);
		if ($p12 != "") $superlink->addParam($p11, $p12);
		if ($p14 != "") $superlink->addParam($p13, $p14);
		if ($p16 != "") $superlink->addParam($p15, $p16);
		if ($p18 != "") $superlink->addParam($p17, $p18);
		if ($p20 != "") $superlink->addParam($p19, $p20);
		if ($p22 != "") $superlink->addParam($p21, $p22);
		if ($p24 != "") $superlink->addParam($p23, $p24);
		if ($p26 != "") $superlink->addParam($p25, $p26);
		if ($p28 != "") $superlink->addParam($p27, $p28);
		if ($p30 != "") $superlink->addParam($p29, $p30);
		if ($p32 != "") $superlink->addParam($p31, $p32);
		if ($p34 != "") $superlink->addParam($p33, $p34);
		if ($p36 != "") $superlink->addParam($p35, $p36);
		if ($p38 != "") $superlink->addParam($p37, $p38);
		if ($p40 != "") $superlink->addParam($p39, $p40);
		if ($p42 != "") $superlink->addParam($p41, $p42);
		$sess->set("Atreelink", $superlink);
	}

	/** Funkcja budująca treelink dla strony Asys_wstaw.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function zrob_treelink_wstaw ($p1,$p2,$p3,$p4,$p5,$p6,$p7,$p8,$p9,$p10,$p11,$p12,$p13,$p14,$p15,$p16,$p17,$p18) {
		global $sess;

		$superlink = new CLink ($p1, $p2);
		if ($p4 != "")
			$superlink->addFirstParam($p3, $p4);
		if ($p6 != "")
			$superlink->addParam($p5, $p6);
		if ($p8 != "")
			$superlink->addParam($p7, $p8);
		if ($p10 != "")
			$superlink->addParam($p9, $p10);
		if ($p12 != "")
			$superlink->addParam($p11, $p12);
		if ($p14 != "")
			$superlink->addParam($p13, $p14);
		if ($p16 != "")
			$superlink->addParam($p15, $p16);
		if ($p18 != "")
			$superlink->addParam($p17, $p18);
		$sess->set("Atreelink", $superlink);
	}

	/** Funkcja budująca treelink dla strony Asys_wraport.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function zrob_treelink_wraport ($p1,$p2,$p3,$p4,$p5,$p6,$p7,$p8,$p9,$p10,$p11,$p12,$p13,$p14,$p15,$p16,$p17,$p18,$p19,$p20) {
		global $sess;

		$superlink = new CLink ($p1, $p2);
		if ($p4 != "")
			$superlink->addFirstParam($p3, $p4);
		if ($p6 != "")
			$superlink->addParam($p5, $p6);
		if ($p8 != "")
			$superlink->addParam($p7, $p8);
		if ($p10 != "")
			$superlink->addParam($p9, $p10);
		if ($p12 != "")
			$superlink->addParam($p11, $p12);
		if ($p14 != "")
			$superlink->addParam($p13, $p14);
		if ($p16 != "")
			$superlink->addParam($p15, $p16);
		if ($p18 != "")
			$superlink->addParam($p17, $p18);
		if ($p20 != "")
			$superlink->addParam($p19, $p20);
		$sess->set("Atreelink", $superlink);
		$sess->set("Acenterlink", $superlink);
	}

	/** Funkcja budująca treelink dla strony Asys_pobierz.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function zrob_treelink_pobrania ($p1,$p2,$p3,$p4,$p5,$p6,$p7,$p8,$p9,$p10,$p11,$p12,$p13,$p14,$p15,$p16,$p17,$p18) {
		global $sess;

		$superlink = new CLink ($p1, $p2);
		if ($p4 != "")
			$superlink->addFirstParam($p3, $p4);
		if ($p6 != "")
			$superlink->addParam($p5, $p6);
		if ($p8 != "")
			$superlink->addParam($p7, $p8);
		if ($p10 != "")
			$superlink->addParam($p9, $p10);
		if ($p12 != "")
			$superlink->addParam($p11, $p12);
		if ($p14 != "")
			$superlink->addParam($p13, $p14);
		if ($p16 != "")
			$superlink->addParam($p15, $p16);
		if ($p18 != "")
			$superlink->addParam($p17, $p18);
		$sess->set("Atreelink", $superlink);
		$sess->set("Acenterlink", $superlink);
	}

	/** Funkcja pomocnicza.
	 *
	 * Służy do przegładania dochodzących do strony parametrów.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function wypiszTab ($tab) {
		print(",".count($tab).",");
		foreach($tab as $key => $row) {
			print(",".$key.",".$row.",");
		}
		print("<BR>");
	}

	// wypiszTab ($_GET);
	// wypiszTab ($_POST);
?>
